# Get similar cards

Source: https://holofolder.com/app/docs/reference/catalog/get-similar-cards

GET https://app.holofolder.com/app/api/v1/cards/{id}/similar

OpenAPI operation (parameters, authentication, request body and responses):

```json
{
  "operationId": "get_similar_cards",
  "summary": "Get similar cards",
  "description": "Cards whose picture looks like this printing, from image fingerprints. sameArtwork lists other printings of the same artwork (reprints, other languages, Japanese prints), most similar first; similarLook lists the next nearest cards by colour and composition. similarity is the cosine similarity of the two pictures, 0 to 1. Both lists are empty when the card has no fingerprint yet.\n\nRequired permissions: `catalog:read`. MCP tool: `get_similar_cards`.",
  "tags": [
    "Catalog"
  ],
  "security": [
    {
      "apiKey": []
    }
  ],
  "parameters": [
    {
      "name": "id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 1,
        "maxLength": 200
      }
    },
    {
      "name": "language",
      "in": "query",
      "required": false,
      "schema": {
        "type": "string",
        "enum": [
          "en",
          "fr",
          "de",
          "es",
          "it",
          "pt-br",
          "ja",
          "ko"
        ]
      }
    },
    {
      "name": "includeDetails",
      "in": "query",
      "required": false,
      "schema": {
        "description": "Include details (the stored provider record). Default: true on REST, false on MCP.",
        "type": "boolean"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Success",
      "content": {
        "application/json": {
          "schema": {
            "$schema": "https://json-schema.org/draft/2020-12/schema",
            "type": "object",
            "properties": {
              "cardId": {
                "type": "string",
                "minLength": 1,
                "maxLength": 200,
                "description": "Globally unique opaque application ID, never a reusable provider-local key."
              },
              "language": {
                "type": "string"
              },
              "sameArtwork": {
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "similarity": {
                      "type": "number",
                      "minimum": -1,
                      "maximum": 1
                    },
                    "card": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "string",
                          "minLength": 1,
                          "maxLength": 200,
                          "description": "Globally unique opaque application ID, never a reusable provider-local key."
                        },
                        "game": {
                          "type": "string",
                          "const": "pokemon"
                        },
                        "canonicalId": {
                          "type": "string",
                          "minLength": 1,
                          "maxLength": 200,
                          "description": "Globally unique opaque application ID, never a reusable provider-local key."
                        },
                        "aliasIds": {
                          "type": "array",
                          "items": {
                            "type": "string",
                            "minLength": 1,
                            "maxLength": 200,
                            "description": "Globally unique opaque application ID, never a reusable provider-local key."
                          }
                        },
                        "localId": {
                          "type": "string"
                        },
                        "name": {
                          "type": "string"
                        },
                        "names": {
                          "type": "object",
                          "propertyNames": {
                            "type": "string"
                          },
                          "additionalProperties": {}
                        },
                        "language": {
                          "type": "string"
                        },
                        "set": {
                          "type": "object",
                          "properties": {
                            "id": {
                              "type": "string",
                              "minLength": 1,
                              "maxLength": 200,
                              "description": "Globally unique opaque application ID, never a reusable provider-local key."
                            },
                            "game": {
                              "type": "string",
                              "const": "pokemon"
                            },
                            "name": {
                              "type": "string"
                            },
                            "officialCardCount": {
                              "type": [
                                "number",
                                "null"
                              ]
                            },
                            "releaseDate": {
                              "type": [
                                "string",
                                "null"
                              ]
                            }
                          },
                          "required": [
                            "id",
                            "game",
                            "name",
                            "officialCardCount",
                            "releaseDate"
                          ],
                          "additionalProperties": false
                        },
                        "seriesId": {
                          "type": "string",
                          "minLength": 1,
                          "maxLength": 200,
                          "description": "Globally unique opaque application ID, never a reusable provider-local key."
                        },
                        "category": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "rarity": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "hp": {
                          "type": [
                            "number",
                            "null"
                          ]
                        },
                        "illustrator": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "types": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        },
                        "variants": {
                          "type": "object",
                          "propertyNames": {
                            "type": "string"
                          },
                          "additionalProperties": {
                            "type": "boolean"
                          }
                        },
                        "externalIds": {
                          "type": "object",
                          "propertyNames": {
                            "type": "string"
                          },
                          "additionalProperties": {
                            "type": "array",
                            "items": {
                              "type": "string"
                            }
                          },
                          "description": "Provider-local IDs keyed by source, scoped to this record game. Not application IDs or aliases."
                        },
                        "details": {
                          "description": "Stored provider record, with includeDetails.",
                          "type": "object",
                          "propertyNames": {
                            "type": "string"
                          },
                          "additionalProperties": {}
                        },
                        "artworkRef": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "image": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "imageAvailability": {
                          "type": "string",
                          "enum": [
                            "available",
                            "missing",
                            "unavailable"
                          ]
                        },
                        "imageLanguage": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "attribution": {
                          "type": "string"
                        }
                      },
                      "required": [
                        "id",
                        "game",
                        "canonicalId",
                        "aliasIds",
                        "localId",
                        "name",
                        "names",
                        "language",
                        "set",
                        "seriesId",
                        "category",
                        "rarity",
                        "hp",
                        "illustrator",
                        "types",
                        "variants",
                        "externalIds",
                        "artworkRef",
                        "image",
                        "imageAvailability",
                        "imageLanguage",
                        "attribution"
                      ],
                      "additionalProperties": false
                    }
                  },
                  "required": [
                    "similarity",
                    "card"
                  ],
                  "additionalProperties": false
                }
              },
              "similarLook": {
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "similarity": {
                      "type": "number",
                      "minimum": -1,
                      "maximum": 1
                    },
                    "card": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "string",
                          "minLength": 1,
                          "maxLength": 200,
                          "description": "Globally unique opaque application ID, never a reusable provider-local key."
                        },
                        "game": {
                          "type": "string",
                          "const": "pokemon"
                        },
                        "canonicalId": {
                          "type": "string",
                          "minLength": 1,
                          "maxLength": 200,
                          "description": "Globally unique opaque application ID, never a reusable provider-local key."
                        },
                        "aliasIds": {
                          "type": "array",
                          "items": {
                            "type": "string",
                            "minLength": 1,
                            "maxLength": 200,
                            "description": "Globally unique opaque application ID, never a reusable provider-local key."
                          }
                        },
                        "localId": {
                          "type": "string"
                        },
                        "name": {
                          "type": "string"
                        },
                        "names": {
                          "type": "object",
                          "propertyNames": {
                            "type": "string"
                          },
                          "additionalProperties": {}
                        },
                        "language": {
                          "type": "string"
                        },
                        "set": {
                          "type": "object",
                          "properties": {
                            "id": {
                              "type": "string",
                              "minLength": 1,
                              "maxLength": 200,
                              "description": "Globally unique opaque application ID, never a reusable provider-local key."
                            },
                            "game": {
                              "type": "string",
                              "const": "pokemon"
                            },
                            "name": {
                              "type": "string"
                            },
                            "officialCardCount": {
                              "type": [
                                "number",
                                "null"
                              ]
                            },
                            "releaseDate": {
                              "type": [
                                "string",
                                "null"
                              ]
                            }
                          },
                          "required": [
                            "id",
                            "game",
                            "name",
                            "officialCardCount",
                            "releaseDate"
                          ],
                          "additionalProperties": false
                        },
                        "seriesId": {
                          "type": "string",
                          "minLength": 1,
                          "maxLength": 200,
                          "description": "Globally unique opaque application ID, never a reusable provider-local key."
                        },
                        "category": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "rarity": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "hp": {
                          "type": [
                            "number",
                            "null"
                          ]
                        },
                        "illustrator": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "types": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        },
                        "variants": {
                          "type": "object",
                          "propertyNames": {
                            "type": "string"
                          },
                          "additionalProperties": {
                            "type": "boolean"
                          }
                        },
                        "externalIds": {
                          "type": "object",
                          "propertyNames": {
                            "type": "string"
                          },
                          "additionalProperties": {
                            "type": "array",
                            "items": {
                              "type": "string"
                            }
                          },
                          "description": "Provider-local IDs keyed by source, scoped to this record game. Not application IDs or aliases."
                        },
                        "details": {
                          "description": "Stored provider record, with includeDetails.",
                          "type": "object",
                          "propertyNames": {
                            "type": "string"
                          },
                          "additionalProperties": {}
                        },
                        "artworkRef": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "image": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "imageAvailability": {
                          "type": "string",
                          "enum": [
                            "available",
                            "missing",
                            "unavailable"
                          ]
                        },
                        "imageLanguage": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "attribution": {
                          "type": "string"
                        }
                      },
                      "required": [
                        "id",
                        "game",
                        "canonicalId",
                        "aliasIds",
                        "localId",
                        "name",
                        "names",
                        "language",
                        "set",
                        "seriesId",
                        "category",
                        "rarity",
                        "hp",
                        "illustrator",
                        "types",
                        "variants",
                        "externalIds",
                        "artworkRef",
                        "image",
                        "imageAvailability",
                        "imageLanguage",
                        "attribution"
                      ],
                      "additionalProperties": false
                    }
                  },
                  "required": [
                    "similarity",
                    "card"
                  ],
                  "additionalProperties": false
                }
              }
            },
            "required": [
              "cardId",
              "language",
              "sameArtwork",
              "similarLook"
            ],
            "additionalProperties": false
          }
        }
      }
    },
    "400": {
      "description": "See the API conventions page.",
      "content": {
        "application/json": {
          "schema": {
            "$schema": "https://json-schema.org/draft/2020-12/schema",
            "type": "object",
            "properties": {
              "error": {
                "type": "object",
                "properties": {
                  "code": {
                    "type": "string"
                  },
                  "message": {
                    "type": "string"
                  },
                  "requestId": {
                    "type": "string"
                  }
                },
                "required": [
                  "code",
                  "message",
                  "requestId"
                ],
                "additionalProperties": false
              }
            },
            "required": [
              "error"
            ],
            "additionalProperties": false
          }
        }
      }
    },
    "401": {
      "description": "See the API conventions page.",
      "content": {
        "application/json": {
          "schema": {
            "$schema": "https://json-schema.org/draft/2020-12/schema",
            "type": "object",
            "properties": {
              "error": {
                "type": "object",
                "properties": {
                  "code": {
                    "type": "string"
                  },
                  "message": {
                    "type": "string"
                  },
                  "requestId": {
                    "type": "string"
                  }
                },
                "required": [
                  "code",
                  "message",
                  "requestId"
                ],
                "additionalProperties": false
              }
            },
            "required": [
              "error"
            ],
            "additionalProperties": false
          }
        }
      }
    },
    "402": {
      "description": "See the API conventions page.",
      "content": {
        "application/json": {
          "schema": {
            "$schema": "https://json-schema.org/draft/2020-12/schema",
            "type": "object",
            "properties": {
              "error": {
                "type": "object",
                "properties": {
                  "code": {
                    "type": "string"
                  },
                  "message": {
                    "type": "string"
                  },
                  "requestId": {
                    "type": "string"
                  }
                },
                "required": [
                  "code",
                  "message",
                  "requestId"
                ],
                "additionalProperties": false
              }
            },
            "required": [
              "error"
            ],
            "additionalProperties": false
          }
        }
      }
    },
    "403": {
      "description": "See the API conventions page.",
      "content": {
        "application/json": {
          "schema": {
            "$schema": "https://json-schema.org/draft/2020-12/schema",
            "type": "object",
            "properties": {
              "error": {
                "type": "object",
                "properties": {
                  "code": {
                    "type": "string"
                  },
                  "message": {
                    "type": "string"
                  },
                  "requestId": {
                    "type": "string"
                  }
                },
                "required": [
                  "code",
                  "message",
                  "requestId"
                ],
                "additionalProperties": false
              }
            },
            "required": [
              "error"
            ],
            "additionalProperties": false
          }
        }
      }
    },
    "404": {
      "description": "See the API conventions page.",
      "content": {
        "application/json": {
          "schema": {
            "$schema": "https://json-schema.org/draft/2020-12/schema",
            "type": "object",
            "properties": {
              "error": {
                "type": "object",
                "properties": {
                  "code": {
                    "type": "string"
                  },
                  "message": {
                    "type": "string"
                  },
                  "requestId": {
                    "type": "string"
                  }
                },
                "required": [
                  "code",
                  "message",
                  "requestId"
                ],
                "additionalProperties": false
              }
            },
            "required": [
              "error"
            ],
            "additionalProperties": false
          }
        }
      }
    },
    "409": {
      "description": "See the API conventions page.",
      "content": {
        "application/json": {
          "schema": {
            "$schema": "https://json-schema.org/draft/2020-12/schema",
            "type": "object",
            "properties": {
              "error": {
                "type": "object",
                "properties": {
                  "code": {
                    "type": "string"
                  },
                  "message": {
                    "type": "string"
                  },
                  "requestId": {
                    "type": "string"
                  }
                },
                "required": [
                  "code",
                  "message",
                  "requestId"
                ],
                "additionalProperties": false
              }
            },
            "required": [
              "error"
            ],
            "additionalProperties": false
          }
        }
      }
    },
    "413": {
      "description": "See the API conventions page.",
      "content": {
        "application/json": {
          "schema": {
            "$schema": "https://json-schema.org/draft/2020-12/schema",
            "type": "object",
            "properties": {
              "error": {
                "type": "object",
                "properties": {
                  "code": {
                    "type": "string"
                  },
                  "message": {
                    "type": "string"
                  },
                  "requestId": {
                    "type": "string"
                  }
                },
                "required": [
                  "code",
                  "message",
                  "requestId"
                ],
                "additionalProperties": false
              }
            },
            "required": [
              "error"
            ],
            "additionalProperties": false
          }
        }
      }
    },
    "422": {
      "description": "See the API conventions page.",
      "content": {
        "application/json": {
          "schema": {
            "$schema": "https://json-schema.org/draft/2020-12/schema",
            "type": "object",
            "properties": {
              "error": {
                "type": "object",
                "properties": {
                  "code": {
                    "type": "string"
                  },
                  "message": {
                    "type": "string"
                  },
                  "requestId": {
                    "type": "string"
                  }
                },
                "required": [
                  "code",
                  "message",
                  "requestId"
                ],
                "additionalProperties": false
              }
            },
            "required": [
              "error"
            ],
            "additionalProperties": false
          }
        }
      }
    },
    "429": {
      "description": "See the API conventions page.",
      "content": {
        "application/json": {
          "schema": {
            "$schema": "https://json-schema.org/draft/2020-12/schema",
            "type": "object",
            "properties": {
              "error": {
                "type": "object",
                "properties": {
                  "code": {
                    "type": "string"
                  },
                  "message": {
                    "type": "string"
                  },
                  "requestId": {
                    "type": "string"
                  }
                },
                "required": [
                  "code",
                  "message",
                  "requestId"
                ],
                "additionalProperties": false
              }
            },
            "required": [
              "error"
            ],
            "additionalProperties": false
          }
        }
      }
    },
    "503": {
      "description": "See the API conventions page.",
      "content": {
        "application/json": {
          "schema": {
            "$schema": "https://json-schema.org/draft/2020-12/schema",
            "type": "object",
            "properties": {
              "error": {
                "type": "object",
                "properties": {
                  "code": {
                    "type": "string"
                  },
                  "message": {
                    "type": "string"
                  },
                  "requestId": {
                    "type": "string"
                  }
                },
                "required": [
                  "code",
                  "message",
                  "requestId"
                ],
                "additionalProperties": false
              }
            },
            "required": [
              "error"
            ],
            "additionalProperties": false
          }
        }
      }
    }
  }
}
```
